/* VIEW VIDEOS AND TUTORIALS */
.videos-tutorials-view {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 40px;
    margin-bottom: 100px;
    margin-top: 50px;
}

.videos-tutorials-view__link {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    grid-column: span 4;
    overflow: hidden;
    position: relative;
}


.videos-tutorials-view__link:before {
    height: 40px;
    left: 50%;
    position: absolute;
    pointer-events: none;
    top: 50%;
    transform: translate(-50%, -50%);
    width: 40px;
}

.videos-tutorials-view__link:hover:after {
    scale: 1.03;
}

.videos-tutorials-view__link:hover h2 {
    color: #388F43;
}

.videos-tutorials-view__link h2 {
    font-family: Roboto;
    font-size: 20px;
    font-weight: 700;
    line-height: 32px;
    margin-top: 12px;
    transition: color 250ms ease-in-out;
}

.videos-tutorials-view__thumbnail {
    display: block;
    height: 100%;
    max-height: 312px;
    position: relative;
    width: 100%;
}

.videos-tutorials-view__thumbnail:before {
    content: "";
    display: block;
    padding-bottom: 100%;
}

.videos-tutorials-view__link:after {
    background-color: #fff;
    mask-image: url("../images/play-button.svg");
    mask-repeat: no-repeat;
    mask-size: 100% 100%;
    content: "";
    display: block;
    position: absolute;
    pointer-events: none;
    height: 60px;
    width: 60px;
    top: 125px;
    left: 50%;
    transform: translateX(-50%);
    transition: scale 250ms ease-in-out;
}

.videos-tutorials-view__thumbnail:after {
    background-color: #000;
    content: "";
    display: block;
    position: absolute;
    pointer-events: none;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    opacity: 0.2;
}

.videos-tutorials-view__thumbnail img {
    height: 100%;
    left: 0;
    position: absolute;
    object-fit: cover;
    top: 0;
    width: 100%;
}

.videos-tutorials-filters {
    padding-top: 40px;
}

.videos-tutorials-filters ul {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 12px;
    margin: 40px 0;
}


.videos-tutorials-filters label {
    cursor: pointer;
    background-color: transparent;
    border: 1px solid #4B686C;
    border-radius: 48px;
    color: #4B686C;
    font-family: Roboto;
    font-size: 16px;
    font-weight: 700;
    line-height: 24px;
    padding: 12px 24px;
    text-align: center;
    transition: background-color 250ms ease-in-out;
    width: fit-content;
}

.videos-tutorials-filters label:hover {
    background-color: rgba(74, 104, 108, .2);
    color: #4B686C;
}

.videos-tutorials-filters input[type="checkbox"]:checked + label:hover {
    background-color: rgba(74, 104, 108, .8);
    color: #fff;
}

.videos-tutorials-filters input[type="checkbox"] {
    display: none;
}

.videos-tutorials-filters input[type="checkbox"]:checked + label {
    background-color: #4B686C;
    color: #fff;
}

/* NODE VIDEOS AND TUTORIALS */
.videos-tutorials {
    margin-bottom: 100px;
}

.videos-tutorials__content {
    align-items: center;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 40px;
    margin-bottom: 40px;
}

.videos-tutorials__content-wrapper {
    height: fit-content;
    grid-column: span 6;
}

.videos-tutorials__video {
    grid-column-start: 8;
    grid-column-end: span 5;
}

.videos-tutorials__video iframe {
    width: 100%;
}

.videos-tutorials__video .youtube_player {
    position: relative;
    padding-bottom: 56.25%;
}


.videos-tutorials__video .youtube_player iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.videos-tutorials__content-wrapper h1 {
    font-size: 40px;
    font-weight: 300;
    line-height: 48px;
    letter-spacing: -0.02em;
    margin-bottom: 24px;
}

.videos-tutorials__content-wrapper p {
    font-family: Roboto;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}

/* PARAGRAPH VIDEOS TUTORIALS CONTENT */
.videos-tutorials-content {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 40px;
}

.videos-tutorials-content__wrapper {
    grid-column: span 8;
}

.videos-tutorials-content:not(:last-of-type) {
    margin-bottom: 40px;
}

.videos-tutorials-content h2 {
    color: #388F43;
    font-family: Roboto;
    font-size: 24px;
    font-weight: 400;
    line-height: 32px;
    margin-bottom: 24px;
}

@media only screen and (max-width: 1023px) {
    /* NODE VIDEOS AND TUTORIALS */
    .videos-tutorials__content-wrapper,
    .videos-tutorials__video {
        grid-column: span 12;
    }

    /* PARAGRAPH VIDEOS TUTORIALS CONTENT */
    .videos-tutorials-content__wrapper {
        grid-column: span 12;
    }

    /* VIEW VIDEOS AND TUTORIALS */
    .videos-tutorials-view__link {
        grid-column: span 6;
    }
}

@media only screen and (max-width: 767px) {
    /* VIEW VIDEOS AND TUTORIALS */
    .videos-tutorials-view__link {
        grid-column: span 12;
    }

    .videos-tutorials-view__link h2 {
        margin-top: 10px;
    }
}